Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum RecordMediumWriteStatus

    java.lang.Object
      java.lang.Enum<RecordMediumWriteStatus>
          org.teleal.cling.support.model.RecordMediumWriteStatus

All Implemented Interfaces:
  Serializable, Comparable<RecordMediumWriteStatus>

    public enum RecordMediumWriteStatus

extends Enum<RecordMediumWriteStatus>

Enum Constant Summary
`NOT_IMPLEMENTED`
`NOT_WRITABLE`
`PROTECTED`
`UNKNOWN`
`WRITABLE`

Method Summary
`static RecordMediumWriteStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RecordMediumWriteStatus` | `valueOrUnknownOf(String s)`
`static RecordMediumWriteStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WRITABLE

    public static final RecordMediumWriteStatus WRITABLE

### PROTECTED

    public static final RecordMediumWriteStatus PROTECTED

### NOT_WRITABLE

    public static final RecordMediumWriteStatus NOT_WRITABLE

### UNKNOWN

    public static final RecordMediumWriteStatus UNKNOWN

### NOT_IMPLEMENTED

    public static final RecordMediumWriteStatus NOT_IMPLEMENTED

Method Detail

### values

    public static RecordMediumWriteStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RecordMediumWriteStatus c : RecordMediumWriteStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RecordMediumWriteStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOrUnknownOf

    public static RecordMediumWriteStatus valueOrUnknownOf(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.